! Un module pour manipuler et imprimer des nombres
MODULE imprime
IMPLICIT NONE
CONTAINS

 SUBROUTINE invite(i) ! Demande un nombre a l'utilisateur
   integer :: i
   write(*,*) "Cher utilisateur, veuillez saisir un entier"
   read(*,*) i
 END SUBROUTINE invite

 SUBROUTINE carre(nombre,nombrecar) ! Calcule le carre 
   integer :: nombre, nombrecar
   nombrecar = nombre * nombre ! (attention si on modifie nombre)
 END SUBROUTINE carre

 integer FUNCTION suivant(nombre) ! Renvoie le nombre suivant
  integer :: nombre
  suivant = nombre + 1
 END FUNCTION suivant

END MODULE imprime
